1

I'm trying to open software-properties-gtk to view my additional drivers for debugging a completely separate issue and I'm receiving this error.

Traceback (most recent call last):


File "/usr/lib/python3/dist-packages/dbus/bus.py", line 177, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
    return self.call_blocking(BUS_DAEMON_NAME, BUS_DAEMON_PATH,
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 652, in call_blocking
    reply_message = self.send_message_with_reply_and_block(
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'com.ubuntu.SoftwareProperties': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  

File "/usr/bin/software-properties-gtk", line 100, in <module>
    app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 208, in __init__
    proxy = bus.get_object("com.ubuntu.SoftwareProperties", "/")
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
    return self.ProxyObjectClass(self, bus_name, object_path,
  File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 250, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 182, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 277, in start_service_by_name
    return (True, self.call_blocking(BUS_DAEMON_NAME, BUS_DAEMON_PATH,
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 652, in call_blocking
    reply_message = self.send_message_with_reply_and_block(
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

I've seen a suggestion of installing aptitude and reinstall dbus, I attempted this though it didn't work even after rebooting my system.

1 Answer 1

1

The mentioned com.ubuntu.SoftwareProperties is contained in two packages, so you have to reinstall both

sudo apt-get update
sudo apt-get install --reinstall software-properties-common software-properties-gtk

and then retry to start software-properties-gtk.

3
  • No dice, same error unfortunately.
    – Abszol D
    Mar 10 at 14:17
  • 1
    Also try sudo apt-get install --reinstall python3-dbus and make sure that you are using default built-in python 3.8.10.
    – N0rbert
    Mar 10 at 15:32
  • I had removed the gtk installation of software-properties and went with qt instead, seems to have solved it. Earlier the python -V was returning 3.9, troubled I traced it back to my anaconda instance while my system still uses 3.8. Reinstalling python3-dbus wasn't fully tested if it would've helped with the gtk lib.
    – Abszol D
    Mar 10 at 20:00

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.